Bug 968601 - Review Request: nodejs-joose - Post modern self-hosting meta object system for JavaScript
Review Request: nodejs-joose - Post modern self-hosting meta object system fo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On: 968596 968606
Blocks: nodejs-reviews 968603 968604 968605
  Show dependency treegraph
 
Reported: 2013-05-29 18:45 EDT by Jamie Nguyen
Modified: 2013-08-07 14:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: nodejs-joose-3.50.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-03 20:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-05-29 18:45:59 EDT
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-joose.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-joose-3.50.0-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Post modern self-hosting meta object system for JavaScript with support
for classes, inheritance, roles, traits, method modifiers and more.
Comment 1 T.C. Hollingsworth 2013-07-19 08:58:30 EDT
> # librarian doesn't appear to be a real module. joose doesn't list librarian
> # as a dependency, and librarian doesn't have a package.json, though both
> # modules 'require' each other. There is also already another module on the
> # npm registry called librarian. To simplify things and reduce confusion, I'm
> # going to treat librarian as part of joose itself rather than separating it
> # into a subpackage.

There are no words...
http://picardfacepalm.com/updown.gif

--

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Status: NEEDS WORK

===== Issues ====

[!]: This package Provides npm(sample-dist) where it shouldn't.

     This comes from librarian/test_data/package.json.  I guess the regex in 
     nodejs-packaging needs tightening, but would you mind filtering this out 
     for now?
     
See: https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
     
     BSD in README.md => OK
     
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
        nodejs macros used => OK
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
        %{nodejs_arches} used => OK
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 522240 bytes in 129 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.

% npm -q view joose version
3.50.0

[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-joose-3.50.0-1.fc20.noarch.rpm
          nodejs-joose-3.50.0-1.fc20.src.rpm
nodejs-joose.noarch: W: invalid-url URL: https://github.com/Joose/Joose The read operation timed out
nodejs-joose.noarch: W: only-non-binary-in-usr-lib
nodejs-joose.noarch: W: dangling-symlink /usr/lib/node_modules/joose/node_modules/optimist /usr/lib/node_modules/optimist
nodejs-joose.noarch: W: dangling-symlink /usr/lib/node_modules/joose/node_modules/paperboy /usr/lib/node_modules/paperboy
nodejs-joose.noarch: W: dangling-symlink /usr/lib/node_modules/joose/node_modules/detective /usr/lib/node_modules/detective
nodejs-joose.noarch: W: dangling-symlink /usr/lib/node_modules/joose/node_modules/temp /usr/lib/node_modules/temp
nodejs-joose.src: W: invalid-url URL: https://github.com/Joose/Joose <urlopen error _ssl.c:489: The handshake operation timed out>
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

invalid-url is false positive, something screwy with my network
OK


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-joose
nodejs-joose.noarch: W: only-non-binary-in-usr-lib
nodejs-joose.noarch: W: dangling-symlink /usr/lib/node_modules/joose/node_modules/optimist /usr/lib/node_modules/optimist
nodejs-joose.noarch: W: dangling-symlink /usr/lib/node_modules/joose/node_modules/paperboy /usr/lib/node_modules/paperboy
nodejs-joose.noarch: W: dangling-symlink /usr/lib/node_modules/joose/node_modules/detective /usr/lib/node_modules/detective
nodejs-joose.noarch: W: dangling-symlink /usr/lib/node_modules/joose/node_modules/temp /usr/lib/node_modules/temp
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
nodejs-joose (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(detective)
    npm(optimist)
    npm(paperboy)
    npm(temp)

OK

Provides
--------
nodejs-joose:
    nodejs-joose
    npm(joose)
    npm(sample-dist)

NOT OK => npm(sample-dist)

Source checksums
----------------
http://registry.npmjs.org/joose/-/joose-3.50.0.tgz :
  CHECKSUM(SHA256) this package     : fcb94deb7858e7ba8b50758af7eebb5432feb24c114ba790a11c92f09a62763a
  CHECKSUM(SHA256) upstream package : fcb94deb7858e7ba8b50758af7eebb5432feb24c114ba790a11c92f09a62763a


Generated by fedora-review 0.4.0 (b80cd0f) last change: 2013-07-09
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b968601
Comment 2 Jamie Nguyen 2013-07-21 14:24:10 EDT
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-joose.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-joose-3.50.0-2.fc19.src.rpm

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.50.0-2
- filter out incorrect Provides
Comment 3 Jamie Nguyen 2013-07-21 14:27:18 EDT
(In reply to T.C. Hollingsworth from comment #1)
> There are no words...
> http://picardfacepalm.com/updown.gif

:D
Comment 4 T.C. Hollingsworth 2013-07-21 19:28:30 EDT
APPROVED, thanks!
Comment 5 Jamie Nguyen 2013-07-22 03:28:13 EDT
New Package SCM Request
=======================
Package Name: nodejs-joose
Short Description: Post modern self-hosting meta object system for JavaScript
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-07-22 05:57:32 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-07-22 06:54:28 EDT
nodejs-joose-3.50.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-joose-3.50.0-2.fc19
Comment 8 Fedora Update System 2013-07-22 06:55:02 EDT
nodejs-joose-3.50.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-joose-3.50.0-2.fc18
Comment 9 Fedora Update System 2013-07-22 06:56:00 EDT
nodejs-joose-3.50.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-joose-3.50.0-2.el6
Comment 10 Fedora Update System 2013-07-22 17:46:25 EDT
nodejs-joose-3.50.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Fedora Update System 2013-08-03 20:03:26 EDT
nodejs-joose-3.50.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-08-03 20:05:38 EDT
nodejs-joose-3.50.0-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-08-07 14:12:07 EDT
nodejs-joose-3.50.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.